| Home | Libraries | People | FAQ | More

## Class common_command_line_parser

boost::program_options::common_command_line_parser —

## Synopsis

    class common_command_line_parser {
    public:
      // construct/copy/destruct
      common_command_line_parser(const std::vector< std::string > &);

      // public member functions
      parsed_options run() const;
    };

## Description

Character-type independent command line parser.

### `common_command_line_parser` construct/copy/destruct

1.     common_command_line_parser(const std::vector< std::string > & args);

### `common_command_line_parser` public member functions

1.     parsed_options run() const;

   Parses the command line and returns parsed options in internal encoding.

| Copyright © 2002-2004 Vladimir Prus